name: design_system
description: Roomfit design system — tokens, themes, components shared across B2C and B2B apps.
version: 0.1.0
publish_to: none

environment:
  sdk: ^3.10.0
  flutter: ">=3.24.0"

resolution: workspace

dependencies:
  flutter:
    sdk: flutter
  meta: ^1.12.0
  # roomfit_exercise (pure Dart) provides SampleRingBuffer + field
  # index constants used by molecules/live_line_chart.dart. Pulling
  # in domain types here is OK; the inverse (domain importing Flutter)
  # would not be.
  roomfit_exercise:
    path: ../roomfit_exercise
  # roomfit_workout (pure Dart) provides SetType / DropSetConfig /
  # ModeIntensity used by the SessionConsole config bottomsheets.
  # Same direction as roomfit_exercise — domain types into UI is OK.
  roomfit_workout:
    path: ../roomfit_workout

dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_lints: ^6.0.0

flutter:
